Go Back   Champions of Regnum > English > Technical Support > Linux

Linux Technical issues under Linux platform

Reply
 
Thread Tools Display Modes
Old 12-21-2007, 09:09 AM   #1
DeepThought
Banned
 
Join Date: Jan 2007
Posts: 29
DeepThought is on a distinguished road
Default Ubuntu Gutsy: segfault with latest version from site

Hello!

I just reinstalled my NVIDIA-drivers (169.07), and started Regnum to see if the graphics bug from 169.04 still was there. The launcher started as usual, and when I read the latest news in the launcher I saw that there was a new (Windows-)client/launcher, but I thought maybe they've updated the linux-client/launcher too. So I downloaded the client available on the site, replaced the old one (Why, oh why, didn't a make a backup first?) and then I tried to launch the game.

Segfault, core dumped.

Ah, the old MALLOC_CHECK_-trick? I tried it. Same thing, segfault.

I'm running Ubuntu Gutsy on a Zepto Znote 6224W, that is: a NVIDIA GeForce 8600M GT, C2D T7100, 2GB RAM etc.

What more steps for troubleshooting? What more info is needed by developers? Please tell me, and I'll provide you with the additional info needed to fix the problem!


EDIT: Can't find a delete-button. Where is it? Someone could please remove the other two threads.. my connection was all messed up, and the result was three posts instead of one
DeepThought no ha iniciado sesión   Reply With Quote
Old 12-21-2007, 11:19 AM   #2
ArcticWolf
Duke
 
ArcticWolf's Avatar
 
Join Date: Nov 2006
Location: 0x00CAFE
Posts: 3,631
ArcticWolf is a glorious beacon of lightArcticWolf is a glorious beacon of lightArcticWolf is a glorious beacon of lightArcticWolf is a glorious beacon of lightArcticWolf is a glorious beacon of light
Default

Hi! Did you try doing a "glxgears" or "glxinfo | grep rendering"? If it's a driver's problem, then this commands will result in a segfault error (I had this problems some weeks ago).

Are you using the nvidia-glx-new package?
__________________
I don't have a solution, but I admire the problem.
ArcticWolf no ha iniciado sesión   Reply With Quote
Old 12-21-2007, 03:10 PM   #3
surak
Legend
 
surak's Avatar
 
Join Date: Mar 2006
Location: Oslo
Posts: 2,172
surak has a spectacular aura aboutsurak has a spectacular aura about
Default

I'm sorry, I didn't understand. What binary is crashing? rolauncher or game?
__________________
Surak Remember... this is just a game! - Xephandor existe y Miriya es su profeta!
surak no ha iniciado sesión   Reply With Quote
Old 12-21-2007, 07:10 PM   #4
DeepThought
Banned
 
Join Date: Jan 2007
Posts: 29
DeepThought is on a distinguished road
Default

It's the launcher (rolauncher) that crashes. No additional output, just segfault (core dumped) right after i entered ./rolauncher in the terminal.

Xephandor: Yes, I have checked that the driver was properly installed. I'm not using the nvidia-glx-new package, since I'm doing the installation manually (sudo sh NVIDIA-....). I have also tried different versions of the NVIDIA-driver (100.14.23, 169.04, 169.07) and none of them work. But since the problem is that I can't even start the launcher I doubt it's driver-related.

And since the "old" launcher worked 2 minutes earlier I doubt that's the problem.
DeepThought no ha iniciado sesión   Reply With Quote
Old 12-21-2007, 07:18 PM   #5
surak
Legend
 
surak's Avatar
 
Join Date: Mar 2006
Location: Oslo
Posts: 2,172
surak has a spectacular aura aboutsurak has a spectacular aura about
Default

Can someone post a backtrace?
__________________
Surak Remember... this is just a game! - Xephandor existe y Miriya es su profeta!
surak no ha iniciado sesión   Reply With Quote
Old 12-22-2007, 05:32 AM   #6
DeepThought
Banned
 
Join Date: Jan 2007
Posts: 29
DeepThought is on a distinguished road
Default

Sure, just tell me how to do it I have little or no experience in debugging software, and I'm a bit sorry not beeing that much of a help to you, but if you point me in the right direction I'll gladly help!
DeepThought no ha iniciado sesión   Reply With Quote
Old 12-22-2007, 05:42 AM   #7
ArcticWolf
Duke
 
ArcticWolf's Avatar
 
Join Date: Nov 2006
Location: 0x00CAFE
Posts: 3,631
ArcticWolf is a glorious beacon of lightArcticWolf is a glorious beacon of lightArcticWolf is a glorious beacon of lightArcticWolf is a glorious beacon of lightArcticWolf is a glorious beacon of light
Default

Go to the regnumonline folder, then to llive and zip/tar all the files that have "backtrace" or "error" as name. Then use the forum tools to attach it.
__________________
I don't have a solution, but I admire the problem.
ArcticWolf no ha iniciado sesión   Reply With Quote
Old 12-22-2007, 06:11 PM   #8
DeepThought
Banned
 
Join Date: Jan 2007
Posts: 29
DeepThought is on a distinguished road
Default

Seems like problem solved, at least partially. The solution was so stupidly simple, but yet so hard to find out! I'm using a GTK-theme called Terrene, and I every time I start a GTK-based program in the terminal I get the following message:
Code:
/usr/share/themes/Terrene/gtk-2.0/gtkrc:249: error: invalid string constant "handlebox", expected valid string constant
Since I get it every time, with every GTK-application, I didn't even make a notice that it appeared. But for some reason I decided to try another theme, and see if there were any difference. Of course it started Even thou I had to use the MALLOC_CHECK_=0 workaroud the first time, before the new launcher was downloaded.

The updated laucher was downloaded, installed and after that I could change back to my other theme, and it still worked, even without MALLOC_CHECK_.

I'm attaching the backtrace anyway (as a .zip-file, the .tar.gz didn't work), because there's still a problem, even if I have found a workaround..
Attached Files
File Type: zip backtrace.zip (9.2 KB, 4 views)
DeepThought no ha iniciado sesión   Reply With Quote
Old 12-23-2007, 08:44 PM   #9
Franz1789
Apprentice
 
Join Date: May 2007
Location: Cosangeles
Posts: 68
Franz1789 is on a distinguished road
Default

I'm on Ubuntu Gusty, using ATI card, with 8.40 driver (the latest are so bugged I can't even use my pc well). I can't play, I'm part of a clan, one of the few italian clan, and it is impossible for me to play, because everytime I open the game, it crashes after a minute...
__________________
Franz: the vagrant conjurer

My Blog
My Music
Franz1789 no ha iniciado sesión   Reply With Quote
Old 12-25-2007, 07:29 PM   #10
l0rax23
Pledge
 
Join Date: Dec 2007
Posts: 1
l0rax23 is on a distinguished road
Default backtrace

*** glibc detected *** ./rolauncher: double free or corruption (out): 0x08642520 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb77ead65]
/lib/tls/i686/cmov/libc.so.6(cfree+0x90)[0xb77ee800]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0xb76fa961]
./rolauncher[0x817613d]
./rolauncher[0x8070b53]
./rolauncher[0x8065a7a]
./rolauncher[0x8067ed1]
./rolauncher[0x810074e]
./rolauncher[0x805c55e]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe0)[0xb7797050]
./rolauncher(__gxx_personality_v0+0x3d5)[0x805c391]

Attached Files
File Type: txt BackTraceMemMap.txt (15.5 KB, 2 views)
l0rax23 no ha iniciado sesión   Reply With Quote
Reply

Tags
linux crash, linux ubuntu

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 09:16 PM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
NGD Studios 2002-2016 © All rights reserved